Bug 203689 - java/eclipse: update to 4.5.1 (Eclipse Mars.1)
Summary: java/eclipse: update to 4.5.1 (Eclipse Mars.1)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-11 02:13 UTC by Jimmy Kelley
Modified: 2015-12-02 20:05 UTC (History)
3 users (show)

See Also:


Attachments
Update patch. (39.38 KB, text/plain)
2015-10-11 02:13 UTC, Jimmy Kelley
koobs: maintainer-approval+
Details
New update patch (43.82 KB, patch)
2015-12-01 16:59 UTC, Jimmy Kelley
ljboiler: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Kelley 2015-10-11 02:13:27 UTC
Created attachment 161894 [details]
Update patch.

Update the java/eclipse to the 4.5 release
Comment 2 Steve Wills freebsd_committer 2015-10-14 13:39:47 UTC
This builds fine for me, but when I run it, I get:

(<unknown>:68568): Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
Comment 3 Steve Wills freebsd_committer 2015-10-14 14:33:13 UTC
Also, this does fail to build for me on 9.x i386:

http://poudriere.mouf.net/poudriere/data/93i386-default/2015-10-14_07h45m54s/logs/errors/eclipse-4.5.log
Comment 4 Jimmy Kelley 2015-10-15 18:29:14 UTC
(In reply to Steve Wills from comment #2)
I had never seen this problem.  I can reproduce it by building Eclipse without GTK3 support and then running it on a machine that has GTK3 installed.

A simple fix is to use the SWT_GTK3 environment variable: SWT_GTK3=0 tells Eclipse to not use any gtk3 libraries at runtime.  However, I need to poke around and see where the presence of GTK3 is being checked and try to turn off that check if the GTK3 option is not selected when building the port.
Comment 5 Jimmy Kelley 2015-10-15 18:38:15 UTC
(In reply to Steve Wills from comment #3)
Interesting that I don't have this problem (see my testport logs), but you and the ports build farm always does.

I have a machine that only has 2Gb of RAM, and being as the Eclipse port build is a memory intensive thing, my Poudriere setup does NOT use TMPFS; everything goes to disk.  Even so, on the i386 builds I have found that I can't be running anything else while the Eclipse port is being built, otherwise I get errors indicating to me that the Java VM ran out of memory.
Comment 6 Jonathan Chen 2015-11-11 18:32:55 UTC
(In reply to Jimmy Kelley from comment #4)

Can you hack the start-up script, files/eclipse.in, to set the environment variable just befor invoking the eclipse binary? eg:

...
export SWT_GTK3=0 # don't use GTK3 at runtime
JAVA_VERSION="%%JAVA_VERSION%%" JAVA_OS="%%JAVA_OS%%" PATH=${JAVA_HOME}/bin:${PA
TH} exec "${ECLIPSE_HOME}/eclipse" $@
Comment 7 Jimmy Kelley 2015-11-20 05:07:18 UTC
Have the change for the Gtk3 issue ready.

Per PR 188110, I'm going to go ahead and get my dist files updated and switch this to using maven 3.3.
Comment 8 Jimmy Kelley 2015-12-01 16:59:12 UTC
Created attachment 163717 [details]
New update patch

Bump to Eclipse 4.5.1, switch to using Maven 3.3, and add fix for running Eclipse build for Gtk2 only on a system where Gtk3 might also be installed.
Comment 10 Kurt Jaeger freebsd_committer 2015-12-01 18:59:11 UTC
test-builds@work
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-02 08:25:31 UTC
@Jimmy, could you set maintainer-approval to + on attachment 163717 [details] (and in future, any attachments that you author/approve yourself). This will ensure your maintainer approved changes are easily discoverable without manual triage
Comment 12 Kurt Jaeger freebsd_committer 2015-12-02 13:12:01 UTC
test-builds are fine on 11a, 10.2a+i, 9.3a.
Comment 13 commit-hook freebsd_committer 2015-12-02 19:58:20 UTC
A commit references this bug:

Author: pi
Date: Wed Dec  2 19:57:30 UTC 2015
New revision: 402850
URL: https://svnweb.freebsd.org/changeset/ports/402850

Log:
  java/eclipse: 4.4.2 -> 4.5.1

  - Bump to Eclipse 4.5.1
  - Switch to using Maven 3.3
  - add fix for running Eclipse build for Gtk2 only on a system where
    Gtk3 might also be installed.
  - Details:
    https://projects.eclipse.org/releases/mars/details
  - Bugs fixed:
    https://bugs.eclipse.org/bugs/buglist.cgi?classification=Eclipse&classification=RT&product=Equinox&product=JDT&product=PDE&product=Platform&query_format=advanced&resolution=FIXED&target_milestone=4.5.1

  PR:		203689
  Submitted by:	Jimmy Kelley <ljboiler@gmail.com> (maintainer)

Changes:
  head/java/eclipse/Makefile
  head/java/eclipse/distinfo
  head/java/eclipse/files/eclipse.in
  head/java/eclipse/files/patch-aggregator
  head/java/eclipse/files/patch-freebsd_natives
  head/java/eclipse/files/patch-submodules
  head/java/eclipse/scripts/pre-patch
Comment 14 Kurt Jaeger freebsd_committer 2015-12-02 20:05:04 UTC
Committed, thanks!